/// <reference path="js/jquery-1.4.4.js" />
/// <reference path="js/jquery-ui-1.8.6.custom.min.js" />
/// <reference path="js/jquery.layout.min-1.2.0.js" />
/// <reference path="js/common.js" />

function top_left(url) {
    load_url(url, '#nw');
}

function middle_left(url) {
    load_url(url, "#w");
}

function bottom_left(url) {
    load_url(url, "#sw");
}

function right(url) {
    load_url(url, "#c");
}

function initial_contents() {
    top_left('d/top-left');
    middle_left('placeholder.html');
    bottom_left('placeholder.html');
    right('placeholder.html');
}

var westLayout;

$(document).ready(function () {
    var screen_size = get_screen_size();

    var layoutSettingsOuter = {
        applyDefaultStyles: true,
        center__onresize: function () {
            westLayout.resizeAll();
        },
        west__size: Math.floor(screen_size.myWidth * .50),
	north__initHidden: true,
	north__size:50
    };

    var layoutSettingsInner = {
        applyDefaultStyles: true,
        north__size: Math.floor(screen_size.myHeight * .45),
        south__size: Math.floor(screen_size.myHeight * .10)
    };

    window.outerLayout = $('body').layout(layoutSettingsOuter);
    westLayout = $('div.ui-layout-west').layout(layoutSettingsInner);

    load_contents(initial_contents,
		  function() {
		      $('#toptab').tabs();
		      $('#issuetab').tabs();
		      update_tables();
		  });
});
