/// <reference path="js/jquery-1.4.4.js" />
/// <reference path="js/jquery-ui-1.8.6.custom.min.js" />
/// <reference path="js/jquery.layout.min-1.2.0.js" />
/// <reference path="js/common.js" />

function initial_contents() {
    load_url('d/sessions', "#sessions");
}

var outerLayout;

$(document).ready(function () {

    //var screen_size = get_screen_size();
    //var myWidth = screen_size.myWidth;
    //var myHeight = screen_size.myHeight;

    var layoutSettings = {
        applyDefaultStyles: true
    };
    outerLayout = $('div.ui-layout-center').layout(layoutSettings);

    if (location.hash == "" || location.hash == "#") {
        initial_contents();
    } else {
        $.ajax({
            url: location.hash.substr(1) + ".js",
            dataType: 'script',
            error: function (xhr, status, e) {
                initial_contents();
                location.hash = "";
            }
        });
    }

    sync(function() {
	update_tables();
    });

    ping();
});
